# List all active sign in with rows for a merchant

> `GET https://api.kustom.co/config/checkout/v1/config/signInWith`

Returns all active value rows for this merchant across all configured countries.

## Parameters

- `X-merchant-id` (string, header, required) — Merchant identifier

## Responses

### 200

OK

`*/*`

- `merchantId` (string) — Merchant identifier.
- `country` (string) — ISO 3166-1 alpha-2 country code, or null for the merchant-level default.
- `signInMethods[]` (array<object>) — The configured sign-in methods.
  - `method` (string) — The sign-in method to configure. Enum: `klarna`.
  - `enabled` (boolean) — Whether this sign-in method is enabled.
- `revision` (integer) — Monotonically increasing revision of this configuration value.
- `updatedBy` (string) — Identifier of the user or system that last updated the value.
- `updatedAt` (string) — Timestamp of the last update.

```json
[
  {
    "merchantId": "M123456",
    "country": "SE",
    "signInMethods": [
      {
        "method": "klarna",
        "enabled": true
      }
    ],
    "revision": 3,
    "updatedBy": "kustom-external-api",
    "updatedAt": "2026-06-22T14:30:00Z"
  }
]
```
